Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Interface STCRAMonitorBean

All Known Implementing Classes:
  STCRAMonitor

public interface STCRAMonitorBean

Method Summary
`void` | `addASMBean(java.lang.Object asbean, java.lang.String key)`
`void` | `addInboundWorkItem(java.lang.Object key, java.lang.Object value)`
`void` | `addMCFMBean(java.lang.Object mcfbean, java.lang.String key)`
`void` | `disable()`
`void` | `enable()`
`STCActivationSpecMonitorBean` | `findASMBean(java.lang.String key)`
`STCMCFMonitorBean` | `findMCFMBean(java.lang.String key)`
`java.lang.String` | `getActivatedTime()` Activated time
`java.lang.String` | `getDescription()` Resource adapter description
`java.lang.String` | `getName()`
`java.lang.String` | `getRAName()` Resource adapter name
`java.lang.String` | `getRAVersion()` Version of RA associated with eway
`javax.resource.spi.ResourceAdapter` | `getResourceAdapter()`
`java.lang.String` | `getShutdownTime()` Shutdown time
`java.lang.Integer` | `getStatus()` Status
`java.lang.String` | `getSupportedModes()` In/Out mode supported by the eway
`java.lang.Boolean` | `isEnabled()`
`void` | `removeAllSubMBeans()`
`void` | `removeASBean(java.lang.String key)`
`void` | `removeMCFBean(java.lang.String key)`
`java.lang.Object` | `retrieveInboundWorkItem(java.lang.Object key)`
`void` | `sendAlert()`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setActivatedTime(java.lang.String activatedTime)` Activated time
`void` | `setDescription(java.lang.String description)` Resource adapter description
`void` | `setName(java.lang.String name)`
`void` | `setRAName(java.lang.String raName)` Resource adapter name
`void` | `setRAVersion(java.lang.String raVersion)` Version of RA associated with eway
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter raObj)`
`void` | `setShutdownTime(java.lang.String shutdownTime)` Shutdown time
`void` | `setStatus(java.lang.Integer status)` Status string
`void` | `setSupportedModes(java.lang.String supportedModes)` In/Out mode supported by the eway

Method Detail

### addMCFMBean

    public void addMCFMBean(java.lang.Object mcfbean,
                            java.lang.String key)

### removeMCFBean

    public void removeMCFBean(java.lang.String key)

### addASMBean

    public void addASMBean(java.lang.Object asbean,
                           java.lang.String key)

### removeASBean

    public void removeASBean(java.lang.String key)

### removeAllSubMBeans

    public void removeAllSubMBeans()

### setRAName

    public void setRAName(java.lang.String raName)

  Resource adapter name

### setDescription

    public void setDescription(java.lang.String description)

  Resource adapter description

### setSupportedModes

    public void setSupportedModes(java.lang.String supportedModes)

  In/Out mode supported by the eway

### setRAVersion

    public void setRAVersion(java.lang.String raVersion)

  Version of RA associated with eway

### setActivatedTime

    public void setActivatedTime(java.lang.String activatedTime)

  Activated time

### setShutdownTime

    public void setShutdownTime(java.lang.String shutdownTime)

  Shutdown time

### setStatus

    public void setStatus(java.lang.Integer status)

  Status string

### getResourceAdapter

    public javax.resource.spi.ResourceAdapter getResourceAdapter()

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter raObj)

### addInboundWorkItem

    public void addInboundWorkItem(java.lang.Object key,
                                   java.lang.Object value)

### retrieveInboundWorkItem

    public java.lang.Object retrieveInboundWorkItem(java.lang.Object key)

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### findMCFMBean

    public STCMCFMonitorBean findMCFMBean(java.lang.String key)

### findASMBean

    public STCActivationSpecMonitorBean findASMBean(java.lang.String key)

### enable

    public void enable()

### disable

    public void disable()

### isEnabled

    public java.lang.Boolean isEnabled()

### getRAName

    public java.lang.String getRAName()

  Resource adapter name

### getDescription

    public java.lang.String getDescription()

  Resource adapter description

### getSupportedModes

    public java.lang.String getSupportedModes()

  In/Out mode supported by the eway

### getRAVersion

    public java.lang.String getRAVersion()

  Version of RA associated with eway

### getActivatedTime

    public java.lang.String getActivatedTime()

  Activated time

### getShutdownTime

    public java.lang.String getShutdownTime()

  Shutdown time

### getStatus

    public java.lang.Integer getStatus()

  Status

### sendAlert

    public void sendAlert()

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD